Summary:	MPEG-2 Decoder
Summary(pl.UTF-8):	Dekoder plików MPEG-2
Name:		libmpeg2
Version:	0.5.1
Release:	5
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://libmpeg2.sourceforge.net/files/%{name}-%{version}.tar.gz
# Source0-md5:	0f92c7454e58379b4a5a378485bbd8ef
Patch0:		%{name}-ppc.patch
URL:		http://libmpeg2.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1.5
%ifarch ppc
# version with altivec support (almost?) fixed
BuildRequires:	gcc >= 5:3.3.2-3
%endif
BuildRequires:	libtool
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXv-devel
Requires:	%{name}-libs = %{version}-%{release}
Provides:	mpeg2dec = %{version}
Obsoletes:	mpeg2dec < 0.5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MPEG-2 Decoder.

%description -l pl.UTF-8
Dekoder MPEG-2.

%package libs
Summary:	MPEG-2 Decoder library
Summary(pl.UTF-8):	Biblioteka dekodująca pliki MPEG-2
Group:		Libraries
Provides:	mpeg2dec-lib = %{version}
Obsoletes:	mpeg2dec-lib < 0.5.1

%description libs
MPEG-2 Decoder library and extract_mpeg2 utility.

%description libs -l pl.UTF-8
Biblioteka dekodująca pliki MPEG-2 i narzędzie extract_mpeg2.

%package devel
Summary:	MPEG-2 Decoder development files
Summary(pl.UTF-8):	Pliki dla programistów używających dekodera MPEG-2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Provides:	mpeg2dec-devel = %{version}
Obsoletes:	mpeg2dec-devel < 0.5.1

%description devel
MPEG-2 Decoder development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających dekodera MPEG-2.

%package static
Summary:	MPEG-2 Decoder static libraries
Summary(pl.UTF-8):	Statyczne biblioteki dekodera MPEG-2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	mpeg2dec-static = %{version}
Obsoletes:	mpeg2dec-static < 0.5.1

%description static
MPEG-2 Decoder static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki dekodera MPEG-2.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{rpmcflags} -DCOFFEE_BREAK=1"
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mpeg2dec
%{_mandir}/man1/mpeg2dec.1*

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/corrupt_mpeg2
%attr(755,root,root) %{_bindir}/extract_mpeg2
%attr(755,root,root) %{_libdir}/libmpeg2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpeg2.so.0
%attr(755,root,root) %{_libdir}/libmpeg2convert.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpeg2convert.so.0
%{_mandir}/man1/extract_mpeg2.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpeg2.so
%attr(755,root,root) %{_libdir}/libmpeg2convert.so
%{_libdir}/libmpeg2.la
%{_libdir}/libmpeg2convert.la
%{_includedir}/mpeg2dec
%{_pkgconfigdir}/libmpeg2.pc
%{_pkgconfigdir}/libmpeg2convert.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpeg2.a
%{_libdir}/libmpeg2convert.a
%changelog
* Fri Mar 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmpeg2.git;a=log;h=master

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> 244ab71
- release 5 (by relup.sh)

* Wed Dec 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 901ea8a
- ac/am versions
- strict internal deps
- devel needs just glibc-devel, no X deps for libs

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 2fd1db6
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> f516722
- provide old names

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 2a478b6
- changed -devel,-static Group to X11/Development/Libraries
- remaining pl translations
- removed alsa-lib-devel,arts-devel,esound-devel dependencies - they
  are required by SDL-devel if SDL is built with support for those libs
- opt patch to use %%rpmcflags, spec is %%debug-ready
- release 3

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 2270287
- adapter

* Thu Jul 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 757eb98
- URLs corrected

* Thu Jun 18 2009 Patryk Zawadzki <patrys@room-303.com> db29db1
- try disabling workarounds

* Thu Jun 18 2009 Patryk Zawadzki <patrys@room-303.com> e34e0ab
- initial revision

